import { JSONSchema4 } from 'json-schema';
import type { InputField, GlobalSetting, Optional, DependsOnConditions, Condition } from './types';
export declare type MinimalInputField = Optional<InputField, 'description'> | (Optional<GlobalSetting, 'description'> & {
    additionalProperties?: boolean;
});
export declare type MinimalFields = Record<string, MinimalInputField>;
interface SchemaOptions {
    tsType?: boolean;
    additionalProperties?: boolean;
}
export declare function fieldConditionSingleDependencyToJsonSchema(condition: Condition, fieldKey: string): JSONSchema4;
export declare function singleFieldConditionsToJsonSchema(fieldKey: string, singleFieldConditions: DependsOnConditions): JSONSchema4 | undefined;
export declare function conditionsToJsonSchema(allFieldConditions: Record<string, DependsOnConditions>): JSONSchema4;
export declare function fieldsToJsonSchema(fields?: MinimalFields, options?: SchemaOptions, additionalSchema?: JSONSchema4): JSONSchema4;
export {};
